package domain

type AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig struct {
	/*
	   申请渠道     */
	ApplyChannels *[]string `json:"apply_channels,omitempty" `

	/*
	   优惠券活动描述     */
	Description *string `json:"description,omitempty" `

	/*
	   优惠券发放方式     */
	SendType *string `json:"send_type,omitempty" `

	/*
	   模板状态     */
	Status *int64 `json:"status,omitempty" `

	/*
	   优惠券名称     */
	Title *string `json:"title,omitempty" `

	/*
	   优惠券类型     */
	Type *int64 `json:"type,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig) SetApplyChannels(v []string) *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig {
	s.ApplyChannels = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig) SetDescription(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig {
	s.Description = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig) SetSendType(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig {
	s.SendType = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig) SetStatus(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig {
	s.Status = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig) SetTitle(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig {
	s.Title = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig) SetType(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateCommonConfig {
	s.Type = &v
	return s
}
